Mailrelay API Reference

Lists custom fields

GET https://{account}/api/v1/custom_fields

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Lists custom fields.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

Parameters

NameTypeRequiredDescription
page integer No Page number
per_page integer No Number of records per page
q[id_eq] integer No Search: ID equals
q[id_gteq] integer No Search: ID greater than or equal to
q[id_lteq] integer No Search: ID less than or equal to
q[field_type_eq] string No Search: Field type equals
q[field_type_cont] string No Search: Field type contains
q[label_eq] string No Search: Label equals
q[label_cont] string No Search: Label contains
q[tag_name_eq] string No Search: Tag name equals
q[tag_name_cont] string No Search: Tag name contains
q[required_true] boolean No Search: Required is true
q[required_not_true] boolean No Search: Required is false
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
label string Label
tag_name string Tag name
field_type string Field type
required boolean Required
default_value string Default value
created_at string Created at
updated_at string Updated at
custom_field_options array Custom field options

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.